MODULE Stdctrls;

IMPORT
  SYSTEM, W := Windows, C := Controls;

TYPE
  Char         = W.Char;
  Boolean      = W.Boolean;
  Shortint     = W.Shortint;
  Integer      = W.Integer;
  Longint      = W.Longint;
  Real         = W.Real;
  Longreal     = W.Longreal;
  Pointer      = W.Pointer;
  Set	       = W.Set;
  String       = W.String;
  Name         = W.Name;

  Buttoncontrol* = POINTER TO RECORD (C.Control)

    wordwrap*: Boolean;

    PROCEDURE CreateParams*;
    BEGIN
      CreateParams^;
      wndstyle := W.CS_DBLCLKS;
      IF wordwrap THEN style := style + W.BS_MULTILINE END;
    END CreateParams;

  END;

  Button* = POINTER TO RECORD (Buttoncontrol)

    default* : Boolean;

    PROCEDURE & Create*(Parent: C.Control);
    BEGIN
      Create^(Parent);
      classname    := "Button";
      width        := 75;
      height       := 25;
      tabstop      := TRUE;
      default      := FALSE;
    END Create;

    PROCEDURE CreateParams*;
    BEGIN
      CreateParams^;
      IF default THEN
        style := style + W.BS_DEFPUSHBUTTON;
      ELSE
        style := style + W.BS_PUSHBUTTON;
      END;
    END CreateParams;

    PROCEDURE WMCommand*(VAR message: C.Message);
    BEGIN
      W.MessageBox(0,"","",{});
    END WMCommand;

  END;

END Stdctrls.

