MODULE Graphics;

IMPORT
  SYSTEM, W := Windows, Cl := Classes;

CONST
  fsBold*      = 1;
  fsItalic*    = 2;
  fsUnderline* = 3;
  fsStrikeOut* = 4;

  clBlack*                         = 0000000H;
  clMaroon*                        = 0000080H;
  clGreen*                         = 0008000H;
  clOlive*                         = 0008080H;
  clNavy*                          = 0800000H;
  clPurple*                        = 0800080H;
  clTeal*                          = 0808000H;
  clGray*                          = 0808080H;
  clSilver*                        = 0C0C0C0H;
  clRed*                           = 00000FFH;
  clLime*                          = 000FF00H;
  clYellow*                        = 000FFFFH;
  clBlue*                          = 0FF0000H;
  clFuchsia*                       = 0FF00FFH;
  clAqua*                          = 0FFFF00H;
  clLtGray*                        = 0C0C0C0H;
  clDkGray*                        = 0808080H;
  clWhite*                         = 0FFFFFFH;
  StandardColorsCount*             = 16;

  clMoneyGreen*                    = 0C0DCC0H;
  clSkyBlue*                       = 0F0CAA6H;
  clCream*                         = 0F0FBFFH;
  clMedGray*                       = 0A4A0A0H;
  ExtendedColorsCount*             = 4;

  clNone*                          = 01FFFFFFFH;
  clDefault*                       = 020000000H;

  clWebSnow*                       = 0FAFAFFH;
  clWebFloralWhite*                = 0F0FAFFH;
  clWebLavenderBlush*              = 0F5F0FFH;
  clWebOldLace*                    = 0E6F5FDH;
  clWebIvory*                      = 0F0FFFFH;
  clWebCornSilk*                   = 0DCF8FFH;
  clWebBeige*                      = 0DCF5F5H;
  clWebAntiqueWhite*               = 0D7EBFAH;
  clWebWheat*                      = 0B3DEF5H;
  clWebAliceBlue*                  = 0FFF8F0H;
  clWebGhostWhite*                 = 0FFF8F8H;
  clWebLavender*                   = 0FAE6E6H;
  clWebSeashell*                   = 0EEF5FFH;
  clWebLightYellow*                = 0E0FFFFH;
  clWebPapayaWhip*                 = 0D5EFFFH;
  clWebNavajoWhite*                = 0ADDEFFH;
  clWebMoccasin*                   = 0B5E4FFH;
  clWebBurlywood*                  = 087B8DEH;
  clWebAzure*                      = 0FFFFF0H;
  clWebMintcream*                  = 0FAFFF5H;
  clWebHoneydew*                   = 0F0FFF0H;
  clWebLinen*                      = 0E6F0FAH;
  clWebLemonChiffon*               = 0CDFAFFH;
  clWebBlanchedAlmond*             = 0CDEBFFH;
  clWebBisque*                     = 0C4E4FFH;
  clWebPeachPuff*                  = 0B9DAFFH;
  clWebTan*                        = 08CB4D2H;

  clWebYellow*                     = 000FFFFH;
  clWebDarkOrange*                 = 0008CFFH;
  clWebRed*                        = 00000FFH;
  clWebDarkRed*                    = 000008BH;
  clWebMaroon*                     = 0000080H;
  clWebIndianRed*                  = 05C5CCDH;
  clWebSalmon*                     = 07280FAH;
  clWebCoral*                      = 0507FFFH;
  clWebGold*                       = 000D7FFH;
  clWebTomato*                     = 04763FFH;
  clWebCrimson*                    = 03C14DCH;
  clWebBrown*                      = 02A2AA5H;
  clWebChocolate*                  = 01E69D2H;
  clWebSandyBrown*                 = 060A4F4H;
  clWebLightSalmon*                = 07AA0FFH;
  clWebLightCoral*                 = 08080F0H;
  clWebOrange*                     = 000A5FFH;
  clWebOrangeRed*                  = 00045FFH;
  clWebFirebrick*                  = 02222B2H;
  clWebSaddleBrown*                = 013458BH;
  clWebSienna*                     = 02D52A0H;
  clWebPeru*                       = 03F85CDH;
  clWebDarkSalmon*                 = 07A96E9H;
  clWebRosyBrown*                  = 08F8FBCH;

  clWebPaleGoldenrod*              = 0AAE8EEH;
  clWebLightGoldenrodYellow*       = 0D2FAFAH;
  clWebOlive*                      = 0008080H;
  clWebForestGreen*                = 0228B22H;
  clWebGreenYellow*                = 02FFFADH;
  clWebChartreuse*                 = 000FF7FH;
  clWebLightGreen*                 = 090EE90H;
  clWebAquamarine*                 = 0D4FF7FH;
  clWebSeaGreen*                   = 0578B2EH;
  clWebGoldenRod*                  = 020A5DAH;
  clWebKhaki*                      = 08CE6F0H;
  clWebOliveDrab*                  = 0238E6BH;
  clWebGreen*                      = 0008000H;
  clWebYellowGreen*                = 032CD9AH;
  clWebLawnGreen*                  = 000FC7CH;
  clWebPaleGreen*                  = 098FB98H;
  clWebMediumAquamarine*           = 0AACD66H;
  clWebMediumSeaGreen*             = 071B33CH;
  clWebDarkGoldenRod*              = 00B86B8H;
  clWebDarkKhaki*                  = 06BB7BDH;
  clWebDarkOliveGreen*             = 02F6B55H;
  clWebDarkgreen*                  = 0006400H;
  clWebLimeGreen*                  = 032CD32H;
  clWebLime*                       = 000FF00H;
  clWebSpringGreen*                = 07FFF00H;
  clWebMediumSpringGreen*          = 09AFA00H;
  clWebDarkSeaGreen*               = 08FBC8FH;

  clWebLightSeaGreen*              = 0AAB220H;
  clWebPaleTurquoise*              = 0EEEEAFH;
  clWebLightCyan*                  = 0FFFFE0H;
  clWebLightBlue*                  = 0E6D8ADH;
  clWebLightSkyBlue*               = 0FACE87H;
  clWebCornFlowerBlue*             = 0ED9564H;
  clWebDarkBlue*                   = 08B0000H;
  clWebIndigo*                     = 082004BH;
  clWebMediumTurquoise*            = 0CCD148H;
  clWebTurquoise*                  = 0D0E040H;
  clWebCyan*                       = 0FFFF00H;
  clWebAqua*                       = 0FFFF00H;
  clWebPowderBlue*                 = 0E6E0B0H;
  clWebSkyBlue*                    = 0EBCE87H;
  clWebRoyalBlue*                  = 0E16941H;
  clWebMediumBlue*                 = 0CD0000H;
  clWebMidnightBlue*               = 0701919H;
  clWebDarkTurquoise*              = 0D1CE00H;
  clWebCadetBlue*                  = 0A09E5FH;
  clWebDarkCyan*                   = 08B8B00H;
  clWebTeal*                       = 0808000H;
  clWebDeepskyBlue*                = 0FFBF00H;
  clWebDodgerBlue*                 = 0FF901EH;
  clWebBlue*                       = 0FF0000H;
  clWebNavy*                       = 0800000H;

  clWebDarkViolet*                 = 0D30094H;
  clWebDarkOrchid*                 = 0CC3299H;
  clWebMagenta*                    = 0FF00FFH;
  clWebFuchsia*                    = 0FF00FFH;
  clWebDarkMagenta*                = 08B008BH;
  clWebMediumVioletRed*            = 08515C7H;
  clWebPaleVioletRed*              = 09370DBH;
  clWebBlueViolet*                 = 0E22B8AH;
  clWebMediumOrchid*               = 0D355BAH;
  clWebMediumPurple*               = 0DB7093H;
  clWebPurple*                     = 0800080H;
  clWebDeepPink*                   = 09314FFH;
  clWebLightPink*                  = 0C1B6FFH;
  clWebViolet*                     = 0EE82EEH;
  clWebOrchid*                     = 0D670DAH;
  clWebPlum*                       = 0DDA0DDH;
  clWebThistle*                    = 0D8BFD8H;
  clWebHotPink*                    = 0B469FFH;
  clWebPink*                       = 0CBC0FFH;

  clWebLightSteelBlue*             = 0DEC4B0H;
  clWebMediumSlateBlue*            = 0EE687BH;
  clWebLightSlateGray*             = 0998877H;
  clWebWhite*                      = 0FFFFFFH;
  clWebLightgrey*                  = 0D3D3D3H;
  clWebGray*                       = 0808080H;
  clWebSteelBlue*                  = 0B48246H;
  clWebSlateBlue*                  = 0CD5A6AH;
  clWebSlateGray*                  = 0908070H;
  clWebWhiteSmoke*                 = 0F5F5F5H;
  clWebSilver*                     = 0C0C0C0H;
  clWebDimGray*                    = 0696969H;
  clWebMistyRose*                  = 0E1E4FFH;
  clWebDarkSlateBlue*              = 08B3D48H;
  clWebDarkSlategray*              = 04F4F2FH;
  clWebGainsboro*                  = 0DCDCDCH;
  clWebDarkGray*                   = 0A9A9A9H;
  clWebBlack*                      = 0000000H;

VAR
  clSystemColor*,clScrollBar*,clBackground*,clActiveCaption*,
  clInactiveCaption*,clMenu*,clWindow*,clWindowFrame*,clMenuText*,
  clWindowText*,clCaptionText*,clActiveBorder*,clInactiveBorder*,
  clAppWorkSpace*,clHighlight*,clHighlightText*,clBtnFace*,
  clBtnShadow*,clGrayText*,clBtnText*,clInactiveCaptionText*,
  clBtnHighlight*,cl3DDkShadow*,cl3DLight*,clInfoText*,clInfoBk*: W.ColorRef;
  ZRand: Longint;

TYPE
  Char         = W.Char;
  Boolean      = W.Boolean;
  Shortint     = W.Shortint;
  Integer      = W.Integer;
  Longint      = W.Longint;
  Real         = W.Real;
  Longreal     = W.Longreal;
  Pointer      = W.Pointer;
  Set	       = W.Set;
  String       = W.String;
  Name         = W.Name;

  Graphics* = POINTER TO RECORD
    magic*   : Longint;
    handle*  : Longint;
    pointer* : Longint;
    width*   : Longint;
    height*  : Longint;
    bitsize* : Longint;
  END;

  Font* = POINTER TO RECORD
    handle*   : W.HFont;
    color*    : Longint;
    height*   : Longint;
    name*     : Name;
    style*    : Set;

    LogicFont : W.LogFont;

    PROCEDURE CreateFont;
    BEGIN
      IF handle # 0 THEN W.DeleteObject(handle); END;
      handle := W.CreateFont(
        LogicFont.lfHeight,
        LogicFont.lfWidth,
        LogicFont.lfEscapement,
        LogicFont.lfOrientation,
        LogicFont.lfWeight,
        LogicFont.lfItalic,
        LogicFont.lfUnderline,
        LogicFont.lfStrikeOut,
        LogicFont.lfCharSet,
        LogicFont.lfOutPrecision,
        LogicFont.lfClipPrecision,
        LogicFont.lfQuality,
        LogicFont.lfPitchAndFamily,
        LogicFont.lfFaceName
      );
    END CreateFont;

    PROCEDURE ClearFont;
    BEGIN
      LogicFont.lfHeight          := -height;               (*      *)
      LogicFont.lfWidth           := 0;                     (*       *)
      LogicFont.lfEscapement      := 0;                     (*  ,      X  *)
      LogicFont.lfOrientation     := 0;                     (*  ,        X  *)
      LogicFont.lfWeight          := W.FW_REGULAR;          (*       0  1000 *)
      LogicFont.lfItalic          := 0;                     (*    *)
      LogicFont.lfUnderline       := 0;                     (*    *)
      LogicFont.lfStrikeOut       := 0;                     (*    *)

      IF fsBold       IN style THEN LogicFont.lfWeight    := W.FW_BOLD; END;
      IF fsItalic     IN style THEN LogicFont.lfItalic    := 1;         END;
      IF fsUnderline  IN style THEN LogicFont.lfUnderline := 1;         END;
      IF fsStrikeOut  IN style THEN LogicFont.lfStrikeOut := 1;         END;

      LogicFont.lfCharSet         := W.DEFAULT_CHARSET;     (*    *)
      LogicFont.lfOutPrecision    := W.OUT_DEFAULT_PRECIS;  (*    *)
      LogicFont.lfClipPrecision   := W.CLIP_DEFAULT_PRECIS; (*    *)
      LogicFont.lfQuality         := W.PROOF_QUALITY;       (*    *)
      LogicFont.lfPitchAndFamily  := W.DEFAULT_PITCH;       (*       *)
      LogicFont.lfFaceName        := SYSTEM.ADR(name);      (*    *)
    END ClearFont;

    PROCEDURE & Init* (FontName : String);
    BEGIN
      height := 11;
      style  := {};
      color  := 0;
      ClearFont;
      COPY(FontName,name);
      CreateFont;
      (*handle := W.GetStockObject(W.DEFAULT_GUI_FONT);*)
    END Init;

    PROCEDURE SetName* (FontName : String);
    BEGIN
      ClearFont;
      COPY(FontName,name);
      LogicFont.lfFaceName := SYSTEM.ADR(name);
      CreateFont;
    END SetName;

    PROCEDURE SetStyle* (Style: Set);
    BEGIN
      ClearFont;
      LogicFont.lfWeight    := W.FW_NORMAL;
      LogicFont.lfItalic    := 0;
      LogicFont.lfUnderline := 0;
      LogicFont.lfStrikeOut := 0;
      IF fsBold       IN Style THEN LogicFont.lfWeight    := W.FW_BOLD; END;
      IF fsItalic     IN Style THEN LogicFont.lfItalic    := 1;         END;
      IF fsUnderline  IN Style THEN LogicFont.lfUnderline := 1;         END;
      IF fsStrikeOut  IN Style THEN LogicFont.lfStrikeOut := 1;         END;
      CreateFont;
    END SetStyle;

    PROCEDURE SetSize* (size : Integer);
    BEGIN
      ClearFont;
      LogicFont.lfHeight := -size;
      CreateFont;
    END SetSize;

  END;

  Bitmap* = POINTER TO RECORD (Graphics)
  VAR
    color*          : Longint;
    font*           : Font;
    BI              : W.BitmapInfo;

    PROCEDURE & Create*;
    BEGIN
      width := 25;
      height:= 25;
      color := clBtnFace;
      GetBInfo;
      CreateHandle;
      NEW(font,"Tahoma");
    END Create;

    PROCEDURE Destroy*;
    BEGIN
      IF font.handle # 0 THEN W.DeleteObject(font.handle); font := NIL; END;
      IF handle # 0 THEN W.DeleteObject(handle) END;
    END Destroy;

    PROCEDURE Free*;
    BEGIN
      Destroy;
    END Free;

    PROCEDURE CreateHandle;
    BEGIN
      BI.bmiHeader.biWidth       := width;
      BI.bmiHeader.biHeight      := -height;
      IF handle # 0 THEN W.DeleteObject(handle) END;
      handle := W.CreateDIBSection(handle,BI,W.DIB_RGB_COLORS,pointer,0,0);
      IF handle # 0 THEN
        FillInt(pointer,width*height*bitsize,ConvertBGRA(color));
      END;
    END CreateHandle;

    PROCEDURE GetBInfo;
    BEGIN
      BI.bmiHeader.biSize        := SIZE(W.BitmapInfoHeader);
      BI.bmiHeader.biWidth       := width;
      BI.bmiHeader.biHeight      := -height;
      BI.bmiHeader.biPlanes      := 1;
      BI.bmiHeader.biBitCount    := 32;
      BI.bmiHeader.biCompression := W.BI_RGB;
      bitsize := BI.bmiHeader.biBitCount DIV 8;
    END GetBInfo;

    PROCEDURE SetSize*(w,h: Longint);
    BEGIN
      IF w <= 0 THEN w := 1 END;
      IF h <= 0 THEN h := 1 END;
      width := w;
      height:= h;
      CreateHandle;
    END SetSize;

    PROCEDURE SetPixel*(x,y,color: Longint);
    BEGIN
      IF (x>=0) & (x<width) & (y>=0) & (y<height) THEN
        SYSTEM.PUT(pointer+(x+y*width)*bitsize,color);
      END;
    END SetPixel;

    PROCEDURE GetPixel*(x,y: Longint): Longint;
    VAR
      color: Longint;
    BEGIN
      color:=0;
      IF (x>=0) & (x<width) & (y>=0) & (y<height) THEN
        SYSTEM.GET(pointer+(x+y*width)*bitsize,color);
      END;
      RETURN color;
    END GetPixel;

    PROCEDURE GradientLine*(x1,y1,x2,y2,c1,c2: Longint);
    VAR
      dx,dy,i,sx,sy,chk,e,x,y,c:Longint;
    BEGIN

      dx:=ABS(x1-x2);
      dy:=ABS(y1-y2);
      sx:=Sign(x2-x1);
      sy:=Sign(y2-y1);
      x:=x1;
      y:=y1;
      chk:=0;

      IF dy>dx THEN
        dx:=dx+dy;
        dy:=dx-dy;
        dx:=dx-dy;
        chk:=1;
      END;

      e:= 2 * dy - dx;

      FOR i:=0 TO dx DO
        IF c1 # c2 THEN c := Mixed(c1,c2,i/dx) ELSE c := c1 END;
        SetPixel(x,y,c);
        IF e>=0 THEN
          IF chk=1 THEN x:=x+sx ELSE y:=y+sy; END;
          e:=e-2*dx;
        END;
        IF chk=1 THEN y:=y+sy ELSE x:=x+sx; END;
        e:=e+2*dy;
      END;

    END GradientLine;

    PROCEDURE Line*(x1,y1,x2,y2,c1: Longint);
    VAR
      len,t: Longint;
    BEGIN
      c1 := ConvertBGRA(c1);
      IF (x1 = x2) OR (y1 = y2) THEN
        IF (x1 = x2) THEN
          IF (y1 > y2) THEN t := y1; y1 := y2; y2:= t; END;
          IF y2 > height THEN y2 := height END;
          len := y2-y1;
          t:=0;
          WHILE t<len DO SetPixel(x1,y1+t,c1); INC(t); END;
        ELSE
          IF (x1 > x2) THEN t := x1; x1 := x2; x2:= t; END;
          IF x2 > width THEN x2 := width END;
          len := x2-x1;
          t:=0;
          WHILE t<len DO SetPixel(x1+t,y1,c1); INC(t); END;
        END;
      ELSE
        GradientLine(x1,y1,x2,y2,c1,c1);
      END;
    END Line;

    PROCEDURE Rectangle*(x1,y1,x2,y2,c: Longint);
    BEGIN
      Line(x1,y1,x2,y1,c);
      Line(x2,y1,x2,y2+1,c);
      Line(x2,y2,x1,y2,c);
      Line(x1,y2,x1,y1,c);
    END Rectangle;

    PROCEDURE FillRect*(x1,y1,x2,y2,c: Longint);
    VAR
      xl,yl,t: Longint;
    BEGIN
      IF (x1 > x2) THEN t := x1; x1 := x2; x2:= t; END;
      IF (y1 > y2) THEN t := y1; y1 := y2; y2:= t; END;
      IF x2 > width THEN x2 := width END;
      IF y2 > height THEN y2 := height END;
      xl := x2-x1;
      yl := y2-y1;
      IF (xl>0) & (yl>0) THEN
        FOR t := 0 TO yl - 1 DO
          FillInt(pointer+(x1+((y1+t)*width))*bitsize,xl*bitsize,ConvertBGRA(c));
        END;
      END;
    END FillRect;

    PROCEDURE FrameRect*(x1,y1,x2,y2,c1,c2: Longint);
    BEGIN
      FillRect(x1,y1,x2,y2,c2);
      Rectangle(x1,y1,x2,y2,c1);
    END FrameRect;

    PROCEDURE Circle*(xc,yc,r,c1,c2: Longint);
    VAR
      x,y,d,i:Longint;

      PROCEDURE Lines(x,y: Longint);
      BEGIN
        Line(-x+xc,-y+yc,-x+xc,y+yc,c2);
        Line(x+xc ,-y+yc,x+xc ,y+yc,c2);
        Line(-y+xc,-x+yc,y+xc,-x+yc,c2);
        Line(-y+xc,x+yc, y+xc ,x+yc,c2);
      END Lines;

      PROCEDURE Pixels(x,y: Longint);
      BEGIN
        Lines(x,y);
        IF c1 # c2 THEN
          SetPixel(x+xc ,-y+yc,c1); (*1*)
          SetPixel(y+xc ,-x+yc,c1); (*2*)
          SetPixel(y+xc ,x+yc ,c1); (*3*)
          SetPixel(x+xc ,y+yc ,c1); (*4*)
          SetPixel(-x+xc,y+yc ,c1); (*5*)
          SetPixel(-y+xc,x+yc ,c1); (*6*)
          SetPixel(-y+xc,-x+yc,c1); (*7*)
          SetPixel(-x+xc,-y+yc,c1); (*8*)
        END;
      END Pixels;

    BEGIN
      d:=3-2*r;
      x:=0;
      y:=r;
      WHILE x <= y DO
        Pixels(x,y);
        IF d<0 THEN
          d:=d+4*x+6;
        ELSE
          d:=d+4*(x-y)+10;
          DEC(y);
        END;
        INC(x);
      END;
    END Circle;

    PROCEDURE Ellipse*(X,Y,A,B: Longint; Angle: Real; c1: Longint);
    CONST
      pi = 3.14159265358979323846E0/180;
    VAR
      I,S,C,H2,K1,K2,R: Real;
      X1,X2,Y1,Y2,X3,Y3,X4,Y4,YY: Longint;
    BEGIN
      I:=(180-Angle)*pi;
      S:=sin(I);
      C:=cos(I);
      H2:=A*S*A*S+B*C*B*C;
      K1:=S*C*(sqr(A)-sqr(B))/H2;
      K2:=A*B/H2;
      YY:=0;
      WHILE sqr(YY)<=H2 DO
         R:=K2*sqrt(H2-sqr(YY));
         X1:=Round(K1*YY+R);
         X2:=Round(K1*YY-R);
         IF YY=0 THEN
             SetPixel(X+X1,Y+YY,c1);
             SetPixel(X-X1,Y-YY,c1);
         ELSE
             Line(X+X1,Y+YY,X+X3,Y+YY-1,c1);
             Line(X+X2,Y+YY,X+X4,Y+YY-1,c1);
             Line(X-X1,Y-YY,X-X3,Y-YY+1,c1);
             Line(X-X2,Y-YY,X-X4,Y-YY+1,c1);
         END;
         X3:=X1;
         X4:=X2;
         INC(YY);
      END;
      H2:=Round(1.99*(YY-sqrt(H2)));
      Line(X+X3,Y+YY-1,X+X3-Round(R),Y+YY-Round(H2),c1);
      Line(X+X3-Round(R),Y+YY-Round(H2),X+X4,Y+YY-1,c1);
      Line(X-X3,Y-YY+1,X-X3+Round(R),Y-YY+Round(H2),c1);
      Line(X-X3+Round(R),Y-YY+Round(H2),X-X4,Y-YY+1,c1);
    END Ellipse;

    PROCEDURE Arc*(x,y,r,a1,a2,c: Longint);
    CONST
      pi = 3.14159265358979323846E0/180;
    VAR
      x1,y1,x2,y2,by,theta: Longint;
    BEGIN
      IF (a1 < 0) OR (a1 > 360) THEN a1 := 0 END;
      IF (a2 < a1) OR (a2 > 360) THEN a2 := 360 END;
      by := 2;
      theta := a1;
      WHILE theta <= a2 DO
	x1 := Round(r*cos(theta*pi)+x);
	y1 := Round(-r*sin(theta*pi)+y);
	x2 := Round(r*cos((theta+by)*pi)+x);
	y2 := Round(-r*sin((theta+by)*pi)+y);
	Line(x1,y1,x2,y2,c);
        INC(theta,by);
      END;
    END Arc;

    PROCEDURE AntialiasLine*(x0,y0,x1,y1,c1: Longint);
    VAR
      t, x: Longint;
      steep: Boolean;
      dx,dy,g,y: Real;

      PROCEDURE frac(x: Real): Real;
      BEGIN
        RETURN 1 - Frac(x);
      END frac;

      PROCEDURE DrawPoint(swapped: Boolean; x, y: Longint; intensive: Real);
      VAR
        resclr: Longint;
      BEGIN
        IF swapped THEN
          resclr := GetPixel(y,x);
        ELSE
          resclr := GetPixel(x,y);
        END;
        resclr := Mixed(resclr,c1,intensive);
        IF swapped THEN
          SetPixel(y,x,resclr);
        ELSE
          SetPixel(x,y,resclr);
        END;
      END DrawPoint;

    BEGIN

      c1 := ConvertBGRA(c1);
      steep := ABS(y1 - y0) > ABS(x1 - x0);

      IF steep THEN
        t:= x0; x0 := y0; y0 := t;
        t:= x1; x1 := y1; y1 := t;
      END;

      IF x0 > x1 THEN
        t:= x0; x0 := x1; x1 := t;
        t:= y0; y0 := y1; y1 := t;
      END;

      DrawPoint(steep, x0, y0, 1);
      DrawPoint(steep, x1, y1, 1);

      dx := x1 - x0;
      dy := y1 - y0;
      g  := dy / dx;
      y  := y0 + g;

      FOR x := x0 + 1 TO x1 - 1 DO
        DrawPoint(steep, x, Floor(y),     frac(y));
        DrawPoint(steep, x, Floor(y) + 1, Frac(y));
        y := y + g;
      END;

    END AntialiasLine;

    PROCEDURE AntialiasCircle*(cx,cy,r,c1,c2: Longint; fill: Boolean);
    VAR
      x,y,j,kx,ky,lastx,c: Longint;
      t,d: Real;

      PROCEDURE DrawPixel(x,y: Longint; alpha: Real);
      BEGIN
	SetPixel(x,y,Mixed(GetPixel(x,y),c1,alpha));
      END DrawPixel;

    BEGIN
      x     := r;
      lastx := r;
      y     := 0;
      t     := 0;

      c1 := ConvertBGRA(c1);

      FOR j := 0 TO 3 DO
        kx := j MOD 2*2-1;
        ky := j DIV 2 MOD 2*2-1;
        SetPixel(kx*x+cx,ky*y+cy,c1);
        SetPixel(kx*y+cx,ky*x+cy,c1);
      END;

      IF fill THEN
        Line(cx-r+1,cy,cx+r,cy,c2);
        Line(cx,cy-r+1,cx,cy+r,c2);
      END;

      WHILE x > y DO
        y := y + 1;
        d := Ceil(sqrt(r*r-y*y))-sqrt(r*r-y*y);
        IF d < t THEN x := x - 1 END;
        IF x < y THEN RETURN END;
        IF (x = y) & (lastx = x) THEN RETURN END;

        FOR j := 0 TO 3 DO
          kx := j MOD 2*2-1;
          ky := j DIV 2 MOD 2*2-1;

          IF fill THEN
            IF kx*x+cx < cx THEN
              Line(kx*x+cx+1,ky*y+cy,cx,ky*y+cy,c2);
            ELSE
              Line(kx*x+cx,ky*y+cy,cx,ky*y+cy,c2);
            END;
            IF ky*x+cy < cy THEN
              Line(kx*y+cx,ky*x+cy+1,kx*y+cx,cy,c2);
            ELSE
              Line(kx*y+cx,ky*x+cy,kx*y+cx,cy,c2);
            END;
          END;

          DrawPixel(kx*x+cx,ky*y+cy,1-d);
          DrawPixel(kx*y+cx,ky*x+cy,1-d);
          IF x-1 >= y THEN
            DrawPixel(kx*(x-1)+cx,ky*y+cy,d);
            DrawPixel(kx*y+cx,ky*(x-1)+cy,d);
          END;

        END;

        t := d;
        lastx := x;
      END;

    END AntialiasCircle;

    PROCEDURE TextOut*(x,y: Longint; text: String);
    VAR
      memdc : Longint;
    BEGIN
      IF handle # 0 THEN
        memdc := W.CreateCompatibleDC(0);
        W.SelectObject(memdc,handle);
        W.SelectObject(memdc,font.handle);
        W.SetTextColor(memdc,font.color);
        W.SetBkMode(memdc,W.TRANSPARENT);
        W.ExtTextOut(memdc,x,y,W.ETO_CLIPPED,NIL,SYSTEM.ADR(text),Cl.Length(text),NIL);
        W.DeleteDC(memdc);
      END;
    END TextOut;

    PROCEDURE Draw*(dc,x,y: Longint);
    VAR
      memdc  : Longint;
    BEGIN
      IF handle # 0 THEN
        memdc := W.CreateCompatibleDC(0);
        W.SelectObject(memdc,handle);
        W.BitBlt(dc,x,y,width,height,memdc,0,0,W.SRCCOPY);
        W.DeleteDC(memdc);
      END;
    END Draw;

    PROCEDURE StretchDraw*(dc,x,y,w,h: Longint);
    VAR
      memdc  : Longint;
    BEGIN
      IF handle # 0 THEN
        memdc := W.CreateCompatibleDC(0);
        W.SelectObject(memdc,handle);
        W.StretchBlt(dc,x,y,w,h,memdc,0,0,width,height,W.SRCCOPY);
        W.DeleteDC(memdc);
      END;
    END StretchDraw;

  END;

  Imagelist* = POINTER TO RECORD
    width*   : Longint;
    height*  : Longint;
    bitsize* : Integer;
    count*   : Longint;
    magic*   : Longint;

    bitmap   : Longint;
    pointer  : Longint;
    BI       : W.BitmapInfo;

    PROCEDURE & Init (w,h: Longint);
    BEGIN
      width  := w;
      height := h;
      count  := 0;
      InitInfo;
    END Init;

    PROCEDURE InitInfo;
    BEGIN
      BI.bmiHeader.biSize        := SIZE(W.BitmapInfoHeader);
      BI.bmiHeader.biWidth       := 0;
      BI.bmiHeader.biHeight      := 0;
      BI.bmiHeader.biPlanes      := 1;
      BI.bmiHeader.biBitCount    := 32;
      BI.bmiHeader.biCompression := W.BI_RGB;
      bitsize := BI.bmiHeader.biBitCount DIV 8;
    END InitInfo;

    PROCEDURE LoadFromFile*(name: String);
    VAR
      bmp    : Longint;
      tmp    : Longint;
      ptr    : Longint;
      info   : W.Bitmap;
      memdc  : Longint;
      x,y    : Longint;
    BEGIN
      bmp := W.LoadImage(0,SYSTEM.ADR(name),W.IMAGE_BITMAP,0,0,W.LR_LOADFROMFILE);
      IF bmp # 0 THEN
        W.GetObject(bmp,SIZE(W.Bitmap),SYSTEM.ADR(info));
        BI.bmiHeader.biWidth  := info.bmWidth;
        BI.bmiHeader.biHeight := -info.bmHeight;
        memdc := W.CreateCompatibleDC(0);
        W.SelectObject(memdc,bmp);
        tmp := W.CreateDIBSection(0, BI, W.DIB_RGB_COLORS, ptr, 0, 0);
        W.GetDIBits(memdc, bmp, 0, info.bmHeight, ptr, BI, W.DIB_RGB_COLORS);
        SYSTEM.GET(ptr,magic);

        BI.bmiHeader.biWidth  := info.bmWidth * (info.bmHeight DIV height);
        BI.bmiHeader.biHeight := -height;

        bitmap := W.CreateDIBSection(0, BI, W.DIB_RGB_COLORS, pointer, 0, 0);
        FOR x:=0 TO info.bmHeight DIV height-1 DO
          FOR y:=0 TO height-1 DO
            SYSTEM.MOVE(
              ptr+(x*height+y)*info.bmWidth*bitsize,
              pointer+(x*info.bmWidth+y*BI.bmiHeader.biWidth)*bitsize,
              info.bmWidth*bitsize
            );
          END;
        END;
        count := BI.bmiHeader.biWidth DIV width;

        W.DeleteObject(tmp);
        W.DeleteObject(bmp);
        W.DeleteDC(memdc);
      ELSE
        count := 0;
      END;
    END LoadFromFile;

    PROCEDURE Draw*(dc,x,y,index,bgcolor,czcolor: Longint; colorize: Boolean);
    VAR
      memdc  : Longint;
      bmp    : Longint;
      ptr    : Longint;
      x1,y1,c: Longint;
    BEGIN
      IF (count > 0) & (index >= 0) & (index < count) THEN
        memdc := W.CreateCompatibleDC(0);
        BI.bmiHeader.biWidth       := width;
        BI.bmiHeader.biHeight      := -height;
        bmp := W.CreateDIBSection(0, BI, W.DIB_RGB_COLORS, ptr, 0, 0);
        FillInt(ptr,width*height*bitsize,ConvertBGRA(bgcolor));

        FOR y1:=0 TO height-1 DO
          FOR x1:=0 TO width-1 DO
            SYSTEM.GET(pointer+(x1+index*width+y1*width*count)*bitsize,c);
            IF (colorize & (c = clWhite)) THEN c := -1 END;
            IF (c # magic) & (c > 0) THEN
              IF colorize THEN Colorize(c,czcolor) END;
              SYSTEM.PUT(ptr+(x1+y1*width)*bitsize,c);
            END;
          END;
        END;

        W.SelectObject(memdc,bmp);
        W.BitBlt(dc,x,y,width,height,memdc,0,0,W.SRCCOPY);
        W.DeleteObject(bmp);
        W.DeleteDC(memdc);
      END;
    END Draw;

    PROCEDURE Destroy*;
    BEGIN
      IF bitmap # 0 THEN W.DeleteObject(bitmap) END;
    END Destroy;

  END;

PROCEDURE Frame3D*(dc,x1,y1,x2,y2,c1,c2: Longint);
VAR
  pen : W.HPen;
BEGIN
  pen := W.CreatePen(W.PS_SOLID,1,c1);
  W.SelectObject(dc, pen);
  W.MoveToEx(dc,x1,y2,NIL);
  W.LineTo(dc,x1,y1);
  W.LineTo(dc,x2,y1);
  W.DeleteObject(pen);

  pen := W.CreatePen(W.PS_SOLID,1,c2);
  W.SelectObject(dc, pen);
  W.LineTo(dc,x2,y2);
  W.LineTo(dc,x1,y2);
  W.DeleteObject(pen);

END Frame3D;

PROCEDURE RoundRect*(dc,x1,y1,x2,y2,c,r1,r2: Longint);
VAR
  pen : W.HPen;
BEGIN
  pen := W.CreatePen(W.PS_SOLID,1,c);
  W.SelectObject(dc, pen);

  W.MoveToEx(dc,x1,y2-r2,NIL);
  W.LineTo(dc,x1,y1+r2);
  W.Arc(dc,x1,y1,x1+r1*2,y1+r2*2+2,x1+r1,y1,x1,y1+r2+2);

  W.MoveToEx(dc,x1+r1,y1,NIL);
  W.LineTo(dc,x2-r1,y1);
  W.Arc(dc,x2-r1*2,y1,x2+1,y1+r2*2+1,x2+1,y1+r2+1,x2-r1-1,y1);

  W.MoveToEx(dc,x2,y1+r2,NIL);
  W.LineTo(dc,x2,y2-r2);
  W.Arc(dc,x2-r1*2+1,y2-r2*2,x2+1,y2+1,x2-r1+1,y2,x2+1,y2-r2-2);

  W.MoveToEx(dc,x2-r1,y2,NIL);
  W.LineTo(dc,x1+r1,y2);
  W.Arc(dc,x1,y2-r2*2+1,x1+r1*2+2,y2+1,x1,y2-r2,x1+r1+2,y2);

  W.DeleteObject(pen);
END RoundRect;

PROCEDURE Rectangle*(dc,x1,y1,x2,y2: Longint);
BEGIN
  W.MoveToEx(dc,x1,y1,NIL);
  W.LineTo(dc,x2,y1);
  W.LineTo(dc,x2,y2);
  W.LineTo(dc,x1,y2);
  W.LineTo(dc,x1,y1);
END Rectangle;

PROCEDURE sqr(x: Longint): Longint;
BEGIN
  RETURN x*x;
END sqr;

PROCEDURE -sqrt(x: Real): Real;
CODE {SYSTEM.i386, SYSTEM.FPU}
  DB 0D9H, 004H, 024H	(* FLD [ESP] *)
  DB 0D9H, 0FAH	        (* FSQRT ST(0) *)
  DB 058H	        (* POP EAX *)
END sqrt;

PROCEDURE -sin(x: REAL):REAL;
CODE {SYSTEM.i386, SYSTEM.FPU}
  DB 0D9H, 004H, 024H 	; FLD [ESP]
  DB 0D9H, 0FEH	; FSIN
  DB 058H	; POP EAX
END sin;

PROCEDURE -cos(x: REAL):REAL;
CODE {SYSTEM.i386, SYSTEM.FPU}
  DB 0D9H, 004H, 024H	; FLD [ESP]
  DB 0D9H, 0FFH	; FCOS
  DB 058H	; POP EAX
END cos;

PROCEDURE FillInt*(destAdr, size, filler: Longint);
CODE {SYSTEM.i386}
  MOV   EDI, destAdr[EBP]
  MOV   ECX, size[EBP]
  MOV   EAX, filler[EBP]
  TEST  ECX, 3
  JZ    ok
  PUSH  8
  INT   3
ok:
  SHR   ECX, 2
  CLD
  REP   STOSD
END FillInt;

PROCEDURE ConvertBGRA*(rgba: Longint):Longint;
BEGIN
  RETURN SYSTEM.LSH(ASH(rgba, 24), -24) * 10000H+
         SYSTEM.LSH(ASH(rgba, 16), -24) *   100H+
	 SYSTEM.LSH(ASH(rgba,  8), -24);
END ConvertBGRA;

PROCEDURE Sign*(N: Longint): Longint;
VAR
  Result: Longint;
BEGIN
  IF (N > 0) THEN
    RETURN 1
  ELSIF (N < 0) THEN
    RETURN -1
  ELSE
    RETURN 0;
  END;
END Sign;

PROCEDURE Frac*(x : Real): Real;
BEGIN
  RETURN x-ENTIER(x);
END Frac;

PROCEDURE Trunc*(x : Real): Longint;
BEGIN
  RETURN ENTIER(x);
END Trunc;

PROCEDURE Floor*(x : Real) : Longint;
VAR
  Fl: Longint;
BEGIN
  Fl:=Trunc(x);
  IF Frac(x)<0 THEN Fl := Fl-1; END;
  RETURN Fl;
END Floor;

PROCEDURE Round*(x : Real): Longint;
BEGIN
  IF Frac(x)>0.5 THEN
    RETURN ENTIER(x)+1;
  ELSE
    RETURN ENTIER(x);
  END;
END Round;

PROCEDURE Ceil*(x : Real): Longint;
VAR
  Cl: Longint;
BEGIN
  Cl:=Trunc(x);
  IF Frac(x)>0 THEN Cl:=Cl+1; END;
  RETURN Cl;
END Ceil;

PROCEDURE GetRValue*(col: Longint): Longint;
BEGIN
  RETURN (col MOD 256)
END GetRValue;

PROCEDURE GetGValue*(col: Longint): Longint;
BEGIN
  RETURN ASH(col,-8) MOD 256;
END GetGValue;

PROCEDURE GetBValue*(col: Longint): Longint;
BEGIN
  RETURN ASH(col,-16) MOD 256
END GetBValue;

PROCEDURE RGB*(red, green, blue: Longint): Longint;
BEGIN
  RETURN ASH(blue,16)+ASH(green,8)+red
END RGB;

PROCEDURE Mixed*(r, mc: Longint; c: Real):Longint;
VAR
  Result: Longint;
BEGIN
  (*color := dest*(255 - alpha) + src*alpha;*)
  Result:=RGB(Round(GetRValue(r) * (1-c) + GetRValue(mc) * c),
              Round(GetGValue(r) * (1-c) + GetGValue(mc) * c),
              Round(GetBValue(r) * (1-c) + GetBValue(mc) * c));
  IF Result<0 THEN Result:=0; END;
  RETURN Result;
END Mixed;

PROCEDURE Colorize*(VAR src: Longint; dest: Longint);
VAR
  l     : Longint;
  R,G,B : Longint;
BEGIN
  dest := ConvertBGRA(dest);
  l := Round(((ASH(src,-16) MOD 256) + (ASH(src,-8) MOD 256) + (src MOD 256)) DIV 3);
  R := GetRValue(dest) + l;
  G := GetGValue(dest) + l;
  B := GetBValue(dest) + l;
  IF R > 255 THEN R := 255; END;
  IF G > 255 THEN G := 255; END;
  IF B > 255 THEN B := 255; END;
  src := RGB(R, G, B);
END Colorize;

PROCEDURE Random*(n: Longint): Longint;
CONST
  a   = 16807;
  q   = 127773;
  r   = 2836;
  max = 2147483647;
VAR
  t: Longint;
BEGIN
  IF n <= 0 THEN n := MAX(Longint) END;
  t := a * (ZRand MOD q) - r * (ZRand DIV q);
  IF t > 0 THEN ZRand := t ELSE ZRand := t + max END;
  RETURN ZRand MOD n;
END Random;

PROCEDURE RandRange*(n1,n2: Longint): Longint;
VAR
  t: Longint;
BEGIN
  IF n1 < 0 THEN n1 := 0 END;
  IF n2 < n1 THEN n2 := n1 + 1 END;
  RETURN Random(n2-n1)+n1;
END RandRange;

BEGIN
  ZRand := W.GetTickCount();
  clScrollBar                     := W.GetSysColor(W.COLOR_SCROLLBAR);
  clBackground                    := W.GetSysColor(W.COLOR_BACKGROUND);
  clActiveCaption                 := W.GetSysColor(W.COLOR_ACTIVECAPTION);
  clInactiveCaption               := W.GetSysColor(W.COLOR_INACTIVECAPTION);
  clMenu                          := W.GetSysColor(W.COLOR_MENU);
  clWindow                        := W.GetSysColor(W.COLOR_WINDOW);
  clWindowFrame                   := W.GetSysColor(W.COLOR_WINDOWFRAME);
  clMenuText                      := W.GetSysColor(W.COLOR_MENUTEXT);
  clWindowText                    := W.GetSysColor(W.COLOR_WINDOWTEXT);
  clCaptionText                   := W.GetSysColor(W.COLOR_CAPTIONTEXT);
  clActiveBorder                  := W.GetSysColor(W.COLOR_ACTIVEBORDER);
  clInactiveBorder                := W.GetSysColor(W.COLOR_INACTIVEBORDER);
  clAppWorkSpace                  := W.GetSysColor(W.COLOR_APPWORKSPACE);
  clHighlight                     := W.GetSysColor(W.COLOR_HIGHLIGHT);
  clHighlightText                 := W.GetSysColor(W.COLOR_HIGHLIGHTTEXT);
  clBtnFace                       := W.GetSysColor(W.COLOR_BTNFACE);
  clBtnShadow                     := W.GetSysColor(W.COLOR_BTNSHADOW);
  clGrayText                      := W.GetSysColor(W.COLOR_GRAYTEXT);
  clBtnText                       := W.GetSysColor(W.COLOR_BTNTEXT);
  clInactiveCaptionText           := W.GetSysColor(W.COLOR_INACTIVECAPTIONTEXT);
  clBtnHighlight                  := W.GetSysColor(W.COLOR_BTNHIGHLIGHT);
  cl3DDkShadow                    := W.GetSysColor(W.COLOR_3DDKSHADOW);
  cl3DLight                       := W.GetSysColor(W.COLOR_3DLIGHT);
  clInfoText                      := W.GetSysColor(W.COLOR_INFOTEXT);
  clInfoBk                        := W.GetSysColor(W.COLOR_INFOBK);
END Graphics.
